<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Soldados</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="AGREGAR SOLDADO">
            <h:form id="formSoldado">
                <h:panelGrid columns="2">
                    <p:outputLabel value="CODIGO"/>
                    <p:inputText value="#{soldadoController.soldado.codigo}" />
                    <p:outputLabel value="NOMBRE"/>
                    <p:inputText required="true" value="#{soldadoController.soldado.nombre}"/>
                    <p:outputLabel value="APELLIDO"/>
                    <p:inputText value="#{soldadoController.soldado.apellido}"/>
                    <p:outputLabel value="GRADUACION"/>
                    <p:inputText value="#{soldadoController.soldado.graduacion}"/>
                    <p:outputLabel value="SELECCIONE COMPAÑIA"/>
                    <p:selectOneMenu value="#{soldadoController.companiaCuartel.idcompaniacuartel}">
                        <f:selectItems value="#{compania_cuartelController.lista}" var="lcc" 
                                       itemLabel="Cuartel: #{lcc.idcuartel.nombre} Compañia: #{lcc.idcompania.compania}" itemValue="#{lcc.idcompaniacuartel}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="SELECCIONE CUERPO"/>
                    <p:selectOneMenu value="#{soldadoController.cuerpo.idcuerpo}">
                        <f:selectItems value="#{cuerpoController.lista}" var="lc" itemValue="#{lc.idcuerpo}" itemLabel="#{lc.denominacion}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="REGISTRAR" actionListener="#{soldadoController.insertar()}" rendered="#{soldadoController.soldado.nombre==null}" update="formSoldado :tabla"/>
                    <p:commandButton value="EDITAR" actionListener="#{soldadoController.actualizar()}" rendered="#{soldadoController.soldado.nombre!=null}" update="formSoldado :tabla"/>

                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <br></br>
        <p:fieldset legend="SOLDADOS REGISTRADOS">
            <h:form id="tabla">
                <p:dataTable value="#{soldadoController.soldadoList}" var="ls" paginator="true" rows="5">
                    <p:column headerText="CODIGO">
                        <p:outputLabel value="#{ls.codigo}"/>
                    </p:column>
                    <p:column headerText="NOMBRE">
                        <p:outputLabel value="#{ls.nombre}"/>
                    </p:column>
                    <p:column headerText="APELLIDO">
                        <p:outputLabel value="#{ls.apellido}"/>
                    </p:column>
                    <p:column headerText="GRADUACION">
                        <p:outputLabel value="#{ls.graduacion}"/>
                    </p:column>
                    <p:column headerText="COMPAÑIA">
                        <p:outputLabel value="Cuartel: #{ls.idcompaniacuartel.idcuartel.nombre} Compañia: #{ls.idcompaniacuartel.idcompania.compania}"/>
                    </p:column>
                    <p:column headerText="CUERPO">
                        <p:outputLabel value="#{ls.idcuerpo.denominacion}"/>
                    </p:column>
                    <p:column headerText="ACCIONES">
                        <p:commandButton value="EDITAR" actionListener="#{soldadoController.consultarById(ls)}" update=":formSoldado"/>
                        <p:commandButton value="ELIMINAR" actionListener="#{soldadoController.eliminar(ls)}" update=":tabla"/>
                        <p:commandButton value="Añadir servicio a soldado" action="serviciosoldado.xhtml"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

